#ifndef __SYS_SPKR_H__
#define __SYS_SPKR_H__

/* spkr.h -- interface definitions for speaker ioctl() */

#define	SPKRIOC		('S'<<8)
#define	SPKRTONE	(SPKRIOC|1)	/* emit tone */
#define	SPKRTUNE	(SPKRIOC|2)	/* emit tone sequence*/

typedef struct
{
    int	frequency;	/* in hertz */
    int duration;	/* in 1/100ths of a second */
}
tone_t;

/* spkr.h ends here */
#endif
